2021-02-24 18:55 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001295Frama-CKernelpublic2014-02-12 16:58
Reportermuriel 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Oxygen-20120901 
Target VersionFixed in VersionFrama-C Fluorine-20130401 
Summary0001295: bad help printing for option when invisible and has negative option
DescriptionI have an invisible option -test-a and a negative form of this option
and the negative form is not invisible when printing help :

$ frama-c -load-script="test.ml" -test-help
Plug-in name: Test
Plug-in shortname: test
Description: test
(...)

***** LIST OF AVAILABLE OPTIONS:

-test-no-a undocumented

*** GETTING INFORMATION

-test-help help of plug-in Test
-test-h alias for option -test-help

(...)
TagsNo tags attached.
Attached Files
  • ? file icon test.ml (297 bytes) 2012-11-06 09:45 -
    include Plugin.Register(struct
      let name = "Test"
      let shortname = "test"
      let help = "test"
    end)
    
      
    let () = Plugin.is_invisible ()
    let () = Plugin.set_negative_option_name "-test-no-a"
    module A =
      False(
        struct
          let option_name = "-test-a"
          let help = "help !!"
        end)
        
    
    ? file icon test.ml (297 bytes) 2012-11-06 09:45 +

-Relationships
+Relationships

-Notes

~0004609

signoles (manager)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2012-11-06 09:45 muriel New Issue
2012-11-06 09:45 muriel File Added: test.ml
2012-11-06 10:11 virgile Status new => assigned
2012-11-06 10:11 virgile Assigned To => signoles
2012-11-06 10:18 signoles Status assigned => confirmed
2012-11-06 10:38 svn
2012-11-06 10:38 svn Status confirmed => resolved
2012-11-06 10:38 svn Resolution open => fixed
2013-04-19 11:05 signoles Fixed in Version => Frama-C Fluorine
2013-04-19 11:05 signoles Status resolved => closed
2013-12-19 01:11 signoles Source_changeset_attached => framac master 5d46f608
2014-02-12 16:53 signoles Source_changeset_attached => framac stable/neon 5d46f608
2014-02-12 16:58 signoles Note Added: 0004609
2014-02-12 16:58 signoles Status closed => resolved
+Issue History